/*
 *  TEX Device Driver  ver 2.26
 *  copyright(c) 1988, 1989 by TSG.
 *
 *  buffer.h : macro routines for buffer access
 *  Apr. 15, 1989 : first edition
 *  Jul.  1, 1989 : 2nd edition
 */

short _get_short(BUFFER **);
long _get_mid(BUFFER **);
long _get_long(BUFFER **);

#define get_ubyte(p)  ((uchar)*(p)++ )
#define get_byte(p)   ((signed char)*(p)++ )
#define get_short(p)  (_get_short(&(p)))
#define get_mid(p)    (_get_mid(&(p)))
#define get_long(p)   (_get_long(&(p)))
#define move_ptr(p,n) ((p)+=(n))
#define is_end_of(p)  ((BUFFER*)p->current >= (BUFFER*)p->end)

/* end of file : buffer.h */
