/*
 *	config.h -- configuration header file for dviout/dviprt
 *
 *	This file containes compiler & machine dependent macros.
 *	Please edit this file to fit your machine.
 *
 */

/* Set your directories */
#define PKDIR     "/usr/TeX/lib/tex/pkfont/%s.%dpk:/usr/TeX/lib/tex/jfont/%s.tfm"
#define PKDDIR    "/usr/TeX/lib/tex/pkfont/%s.%dpkd"
#define KNJDIR    "/usr/TeX/lib/tex/jfont/kanji%d.pk"
#define CONFDIR   "/usr/TeX/lib"

/* If you use LBP(Canon Laser-shot or EPSON ESCpage), you should define this. */
#define LIPS3          /* Canon LIPS3 mode */
#define ESCPAGE        /* EPSON ESCpage mode */

/* If you use JGfont(3D-Bezier), you should define this. */
#define BEZIERFONT

/* If you don't use Tpic specials, you should define this. */
#undef  NOTPIC

/* If 'VFTPIC' is defined, "Shotai-Kurabu" font is converted to bitmap image
   with tpic specials. */
#undef  VFTPIC

/* Other definitions */
#undef  NOTATEGAKI
#undef  NOVFONTADJ
