/*
 *  TEX Device Driver  ver 2.00
 *  copyright(c) 1988, 1989 by TSG.
 *
 *  dviread.h : read data from file
 *
 *  modified for Minix-386 1992 by obuk, youchan
 */


#define read_byte(f)    getc(f)
#define read_short(f)   signed_read_n(f,2)
#define read_mid(f)     signed_read_n(f,3)
#define read_long(f)    signed_read_n(f,4)

char* read_str( FILE*, int );       /* read strings from disk */
long read_n( FILE*, int );
long signed_read_n( FILE*, int );   /* read 1-4 bytes from disk */

/* end of file : dviread.h */
