/*
 *  TEX Device Driver  ver 2.00-2.05
 *  copyright(c) 1988, 1989 by TSG, 1990 by SHIMA
 *
 *  err.h : ERROR MODULE HEADER
 *
 *  modified for Minix-386 1992 by obuk, youchan
 */

/* USER ERROR NUMBERS */

typedef enum {
    NO_FILE,
    NO_MEMORY,
    MEMORY_FAULT,
    DEVICE_FAULT,
    FILE_FAULT,
    ILLEGAL_ARGS,
    BAD_SYSTEM,
    NO_FONT,
    FONT_MISMATCH,
    COMMAND_ERROR,
    UNPACK_ERROR,
    PROGRAM_STOP,
    MATH_ERROR,
    WARNING
} ERROR_NUM;

void error(ERROR_NUM, char *, ...);
extern int errno;

/* end of file : err.h */
