/*
 *      Header file for p_out.c + lips3.c (dviprt)
 *                      18 June 1992, written by SHIMA
 */

/* LBP internal scalable kanji fonts orientation parameters */
#define K_BASE_L     79
#define K_BASE_D     1
#define K_SCALE_L    1047
#define LBP_ORIG_DPI 300

/* LBP downloading factor */
#define MAXDWIDTH    128    /* maximal width of download font cell */
#define MAXDHEIGHT   127    /* maximal height of download font cell */
#define MAXDFONT     32     /* maximal number of download font sets */

/* LBP control commands */
#define MOVE_CAP     "\233" "%u;%uf"
#define CHANGE_G0    "\233" "%u%%v"
#define CHANGE_G1    "\233" "%u;2%%v"
#define ASSIGN_G0    "\233" "%u;1 D"
#define ASSIGN_G1    "\233" "%u;2 D"
#define MOVE_BELOW   "\233" "%ue"
#define MOVE_ABOVE   "\233" "%uk"
#define MOVE_RIGHT   "\233" "%ua"
#define MOVE_LEFT    "\233" "%uj"
#define MOVE_ABOVE1  "\233" "1k"
#define MOVE_LEFT1   "\233" "1j"
#define ROTATE       "\233" "1%%r"
#define CHR_PITCH    "\233" "?%d K"
#define CHR_SIZE     "\233" "%d C"
#define DISPLAY      "\220" "2y%s\234"
#define COPYS        "\233" "%uv"
#define PAGE_FORMAT  "\233" "%up\x9b""8;0 G"

#define SPECIALC     "\233" "1.v"

#define G1GRPH2      "\033" "$)"
#define FWEIGHT      "\233" "%d;23m"
#define FACE         "\233" "%uy"
#define HOME_POS     "\233" "x"
#define SET_POS      "\233" "1x"

#define BOLD         "\233" "1m"
#define BBOLD        "\233" "1;1m"
#define NO_BOLD      "\233" "22m"
#define PFILL        "\233" "?5m"
#define NO_PFILL     "\233" "?25m"
#define SHADOW       "\233" "?6m"
#define NO_SHADOW    "\233" "?26m"
#define OUTLINE      "\233" "?7m"
#define NO_OUTLINE   "\233" "?27m"

#define SHIFTOUT     0x0e
#define SHIFTIN      0x0f

#define JIS83        0xc2

#define D_HEAD       9
#define WEIGHT       22

#define ROTATE_CHAR  "\233" "%d&t"
#define TATEGAKI     "\233" "?29h"
#define YOKOGAKI     "\233" "?29l"

