/*
 *  option.h : standard option-parse module HEADER
 *             programed by T.IWAI
 */


typedef enum ARG_TYPE {
    BOOLEAN, INTEGER, LONGINT, STRING, PROCEDURE
} ARG_TYPE;

typedef struct {
    char *option;
    ARG_TYPE type;
    void *var;
    char *message;
} ARG_TABLE;

void set_option(ARG_TABLE*, int, char**);
void set_config(ARG_TABLE*, char*);
void option_usage(ARG_TABLE*);

/* end of file : option.h */
