/*
 *  TEX Device Driver  ver 2.26
 *  copyright(c) 1988,89 by TSG.
 *
 *  buf.c : to read 2-4 byte values
 */


#include "config.h"
#include "dd.h"

static  union   D {
        long    num;
        short   i;
        uchar   c[4];
    } _d;

short _get_short(BUFFER** buf_ptr)
{
    BUFFER* ptr;
    union   D   d;

    ptr = *buf_ptr;
    d.c[1] = *ptr++;
    d.c[0] = *ptr;
    *buf_ptr = ptr+1;
    return(d.i);
}

long _get_mid(BUFFER** buf_ptr)
{
    BUFFER* ptr;
    union   D   d;

    ptr = *buf_ptr;
    d.c[2] = *ptr++;
    d.c[1] = *ptr++;
    d.c[0] = *ptr;
    *buf_ptr = ptr+1;
    if (d.c[2] & 0x80) d.c[3] = 0xff;
    else               d.c[3] = 0;
    return(d.num);
}

long _get_long(BUFFER** buf_ptr)
{
    BUFFER* ptr;
    union   D   d;

    ptr = *buf_ptr;
    d.c[3] = *ptr++;
    d.c[2] = *ptr++;
    d.c[1] = *ptr++;
    d.c[0] = *ptr;
    *buf_ptr = ptr+1;
    return(d.num);
}

/* end of file : buf.c */
