/*
 *  TEX Device Driver  ver 2.02-2.06
 *  copyright(c) 1988, 1989 by TSG, 1990 by SHIMA
 *
 *  device.h : DEVICE DEFINITION FOR PREVIEWER
 *
 *	modified for non PC-9801 machines by sempa 1992
 */


/* Device Definitons */

#define DEF_MAG         1000
    /*  default magnification */

#define CRT_WIDTH       (640+(24*32/40)*40*8)
#define CRT_HEIGHT      (-1)
    /*  default device width, height */
#define CRT_DPI         118
    /*  default DPI */
#define DEF_PK_SIZE     0xffffL

#define DEF_RASTER_SIZE 80000L
#ifdef msdos
#define DEF_BITMAP_SIZE 800000L
#else
#define DEF_BITMAP_SIZE 0L
#endif
    /*  default Buffer size */

#define MAX_FONTS       256
    /*  max fonts */

#define DEF_PRINT_DIR   HORIZONTAL
    /*  default print direction */

#define HORI_DIVIDE     16
#define VERT_DIVIDE     8

/* end of file : device.h */
