/*
 *  TEX Device Driver  ver 2.00-2.22
 *  copyright(c) 1988, 1989 by TSG, 1990 by SHIMA
 *
 *  prtout.h : DEVICE DEFINITION FOR PRINTER DRIVER
 *
 *  modified for non PC-9801 machines by sempa 1992
 *
 *  modified for Minix-386 1992 by obuk, youchan
 */


/* Device Definitons */
enum { ESC_P, PC_PR, PC_NM,
#ifdef  LIPS3
       LBP_LIPS3,
#endif
#ifdef ESCPAGE
       LBP_ESCPAGE,
#endif
       PR_OTHER
};

#define PRT_TYPE        ESC_P
    /* default type of the printer ESC_P or PC_PR or PC_MN or LBP_LIPS3 */

#define DEF_MAG         1000
    /*  default magnification */

#define PRINTER_WIDTH   1800
#define PRINTER_HEIGHT  (-1)
    /*  default device width, height */

#define PRINTER_DPI     0   /*  old 180 */
    /*  default DPI */

#define DEF_PK_SIZE     100000L
#define DEF_RASTER_SIZE 80000L
#define DEF_BITMAP_SIZE 0L
    /*  default Buffer size */

#define MAX_FONTS       256
    /*  max fonts */

#define DEF_PRINT_DIR   HORIZONTAL
    /*  default print direction */

#define HORI_DIVIDE     8
#define VERT_DIVIDE     24  

#define V_BDIV          3

#define T_ESC_P         'e'
#define T_PC_PR         'p'
#define T_PC_NM         'n' 
#define T_PR_OTHER      'o'
#ifdef  LIPS3
#define T_LBP_LIPS3     'l'
#endif
#ifdef ESCPAGE
#define T_LBP_ESCPAGE   'm'
#endif

/* end of file : prtout.h */
