/*
*               Use outline-font "Shotai-Kurabu"
*               at TeX Device Driver VIOUT, DVIPRN
*
*                            vraster.h
*
*                         1992  by T.Minagawa
*
*       12 Nov 1992 : modified for JGfont(3D-Bezier) by Naochan!
*/

#define Line struct v_line
struct v_line{
    int xl, xr, dx;
    int yu, yl, dy;
    int flag;
    int itemno;
};

/***********************************
     value for flag of Line
***********************************/
#define HORILINE    1   /* horizontal line */
#define VERTLINE    2   /* vertical line */
#define HOPEN       4
#define HCLOSE      8
#define VOPEN       16
#define VCLOSE      32
#define FMASK       63
#define XREV        64
#define YREV        128
#define XYREV       256

#define VPARA_TBL struct _vpara_tbl
struct _vpara_tbl{
    BUFFER *buffer;
    BUFFER *v_font_name;
    int vfn_file;
    int char_code;
    int v_code;
    int max_width, max_height;
    int width, height, yoffset;
    int long_wide, slant, turn;
    int thin, xfat, yfat;
#ifdef BEZIERFONT
    int font_type;
#endif
#ifdef VFTOBM
    int width_adj;
    int height_adj;
#endif
    int rotation;
    DRAW_TYPE dtype;
};

#define VWORK_TBL struct _vwork_tbl
struct _vwork_tbl{
    int _xdot, _ydot;
    int xdotwidth, ydotwidth;
    int xthin, ythin;
    int _xoffset;
};

#define XTHICKLINEWIDTHDOUBLE   100
#define YTHICKLINEWIDTHDOUBLE   60

#define TIMES   256L
#define NOHV    (1024L*TIMES)
#define TAKENEAR    TRUE    /* ------------------   */
#define HOVER       100
#define VOVER       100
#define SQFLAG      15
#define Y_BASE      34
#define STD_CODE    0x3021
#define MIN_LINE 64

#define CENTER(a,b)     (((a)+(b))>>1)

#define _Setflag struct _setflag
struct _setflag{
    long    v;
    Line    *lp;
};

enum _sflag { LEFT, RIGHT, NEAR };
#define mxlscaling(x)   ((int) (((long) (x)*_xdot + 0x200)/tbl1->max_width))
#define mxrscaling(x)   ((int) (((long) (x)*_xdot - 0x1ff)/tbl1->max_width))

